Subject: bug#25565: mark-whole-buffer and unnecessary (point) call

From: Stephen Berman <[email-masked]>
Date: Sun, 29 Jan 2017 22:29:06 +0100

On Sun, 29 Jan 2017 22:46:02 +0200 dptd dptd <[email-masked]> wrote:

>>> Here is the newest patch.
[...]
>>> * lisp/emulation/viper-cmd.el (viper-mark-beginning-of-buffer):
>>> (viper-mark-end-of-buffer):
>> 
>> There should be no colon `:' after `(viper-mark-beginning-of-buffer)',
>> since `(viper-mark-end-of-buffer)' in the next line is in the same file.
>> 
>>> * lisp/cedet/semantic/senator.el (senator-mark-defun):
>>> * lisp/allout.el (allout-mark-topic): Remove unnecessary argument
>>> `(point)' from calls to `push-mark'.
>> 
>> Steve Berman
>
> I want to contribute to the project but I cannot even prepare the
> patch file correctly... dammit!

If that's the worst problem you have as a contributor, Emacs will be
very lucky indeed! ;-)

Steve Berman